import javax.microedition.lcdui.*;

public class Cache
{
  public static final int ENGLISH = 0;
  public static final int SLOVENE = 1;

  private static int language;
  public static Image carImage;
  public static Image enemyImage;
  public static Image powerupImage;
  public static Image flameImage;

  public static int width;
  public static int height;

  private Cache() {}

  static
  {
    String locale =
        System.getProperty("microedition.locale");
    language = ENGLISH; // Default value
    if (locale != null && locale.startsWith("si"))
        language = SLOVENE;
    try
    {
      carImage = Image.createImage("/car.png");
      enemyImage = Image.createImage("/enemycar.png");
      flameImage = Image.createImage("/flame.png");
      powerupImage = Image.createImage("/power.png");
    } catch (Exception ex) {}
  }

  public static int getLanguage()
  {
    return language;
  }
}
