public class Weapon
{
  private int weapontime = 5;
  private int weaponammo = 5;
  private String name;
  private String description;
  public static final int FLAME = 0;
  public  static final int OIL = 1;
  private int weapontype = FLAME;
  private boolean upforsale = false;
  private String displayname = "";

  Weapon(int type,int time,int ammo,String n,String d) 
  { 
    weapontype = type;
    weapontime = time;
    weaponammo = ammo;
    name = n;
    description = d;
	displayname = name.substring(0,5);
  }

  public int getWeaponTime()
  {
    return weapontime;
  }

  public void setWeaponTime(int t)
  {
    weapontime = t;
  }

  public int getWeaponAmmo()
  {
    return weaponammo;
  }

  public void setWeaponAmmo(int a)
  {
    weaponammo = a;
  }

  public int getWeaponType()
  {
     return weapontype;
  }

  public void setWeaponType(int t)
  {
     weapontype = t;
  }

  public boolean fire()
  {
     if (--weaponammo <= 0)
     {
        weaponammo = 0;
	return false;
     }
     return true;
  }
  
  public void setName(String n)
  {
	displayname = n.substring(0,5);
  	name = n;
  }

  public String getName()
  {
  	return name;
  }
  
  public void setDescription(String n)
  {
  	description = n;
  }

  public String getDescription()
  {
  	return description;
  }
  
  public boolean getUpForSale()
  {
    return upforsale;	
  }

  public void setUpForSale(boolean u)
  {
    upforsale = u;	
  }

  public String getDisplayName()
  {
    return (displayname +": "+weaponammo);
  }
}